Author Topic: how to avoid "Exceeded maximum number of selection sets"  (Read 1148 times)

0 Members and 1 Guest are viewing this topic.

kozmos

  • Newt
  • Posts: 114
how to avoid "Exceeded maximum number of selection sets"
« on: July 28, 2023, 11:50:51 PM »
I m using lisp to call LOFT command making 3Dsolid through A set of profile polygons, however, there are hundreds of the solids to make and after around 128 solids are made, the rest ones are all failed and CAD prompts "At least two profiles must be selected." in commandline for each of them. I know 128 is the limit of active selectionsets in AutoCAD. I have defined the profiles selectionset as variable before calling LOFT and set it to nil after LOFT is done, but with no lucks, still can only generate less than 128 solids. Anyone has any clue on how to resolve this?
KozMos Inc.

ribarm

  • Gator
  • Posts: 3279
  • Marko Ribar, architect
Re: how to avoid "Exceeded maximum number of selection sets"
« Reply #1 on: July 29, 2023, 11:14:30 AM »
Just a thought...

You can get ss with (ssget), but then store it in ss = (vla-get-activeselectionset (vla-get-activedocument (vlax-get-acad-object)))... When things are performed with ss, you just (vla-delete ss) and (vlax-release-object ss)...

I don't know, but it meight be the fix glitch, although it's stab in the dark...
Marko Ribar, d.i.a. (graduated engineer of architecture)

:)

M.R. on Youtube

d2010

  • Bull Frog
  • Posts: 326
Re: how to avoid "Exceeded maximum number of selection sets"
« Reply #2 on: July 30, 2023, 03:41:19 PM »
 :smitten:
Perhaps you do not have enough memory DDR3, because in AutoCad2007 and  I select
thousand of thousand of 2D -solid (not 3D),  and AutoCad2007 work very very well ,
tested between in years 2010-2015.

AutoCad2007, but AutoCad2009 (not Acad2010); is more better si more powerfull engine 2D
entities. :nerdyembarassed:

kdub_nz

  • Mesozoic keyThumper
  • SuperMod
  • Water Moccasin
  • Posts: 2140
  • class keyThumper<T>:ILazy<T>
Re: how to avoid "Exceeded maximum number of selection sets"
« Reply #3 on: July 30, 2023, 04:07:26 PM »
It may help if you were to post the relevant (and testable ) code that causes the problem.

This will reduce the need for us to guess,
and make it easier for someone to help.

added:
I s'pose providing your test drawing would help too.

Regards,
« Last Edit: July 30, 2023, 04:10:57 PM by kdub_nz »
Called Kerry in my other life
Retired; but they dragged me back in !

I live at UTC + 13.00

---
some people complain about loading the dishwasher.
Sometimes the question is more important than the answer.